"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const src_1 = require("../src");
const arr = new Uint8Array();
describe('no crypt', () => {
    it("should throw on any crypt use when it's not set", () => {
        expect(() => src_1.crypt.decrypt(arr, arr)).toThrow();
        expect(() => src_1.crypt.derivePublicKey(arr)).toThrow();
        expect(() => src_1.crypt.encrypt(arr, arr)).toThrow();
        expect(() => src_1.crypt.generateSecretKey()).toThrow();
        expect(() => src_1.crypt.getSharedSecret(arr, arr)).toThrow();
        expect(() => src_1.crypt.hash_256(arr)).toThrow();
        expect(() => src_1.crypt.hkdf(arr, arr, arr, 32)).toThrow();
        expect(() => src_1.crypt.sign(arr, arr)).toThrow();
        expect(() => src_1.crypt.verify(arr, arr, arr)).toThrow();
    });
});
